http://ftp.mayn.de/pub/cpm/utilities/86-grafx.zip|This archive contains file viewing programs for .PCX and .IMG graphics files.
http://ftp.mayn.de/pub/cpm/utilities/86clock.zip|An assortment of clock-related stuff, including non-Y2K-compliant system clock-setting programs (you'll need these if you apply the "Year 2000 patch" to your CPM.SYS file). Also software for the proprietary Dallas Semiconductor "SmartWatch" hardware clock, an on-screen digital clock, and a stopwatch program. 
http://ftp.mayn.de/pub/cpm/utilities/86comutl.zip|COMMUNICATIONS UTILITIES for CP/M-86 
http://ftp.mayn.de/pub/cpm/utilities/86cpmutl.zip|FILE COMPRESSION UTILITIES for CP/M-86
http://ftp.mayn.de/pub/cpm/utilities/86filutl.zip|FILE UTILITIES for CP/M-86 
http://ftp.mayn.de/pub/cpm/utilities/86kbddsk.zip|Includes x86 versions of the classic CP/M "DU" disk utility and "SUPERDIR" enhanced directory lister, as well as newer stuff: MFM/RLL hard disk head parker, hard disk ROM BIOS low-level formatter, CapsLock toggle, keyboard speed-up, keypad reprogrammer for WordStar, much more. 
http://ftp.mayn.de/pub/cpm/utilities/86prtutl.zip|PRINT UTILITIES for CP/M-86
http://ftp.mayn.de/pub/cpm/utilities/86sndgam.zip|Sound-related programs include a white noise generator, a speaker silencer, a BEEPer, and a "Happy Birthday" tune player. This archive also contains the games Tetris and Gunner.
http://ftp.mayn.de/pub/cpm/utilities/86sysutl.zip|A collection of useful low-level system utilities. Includes a CMOS battery checker, system ROM finder/identifier, system memory reporter, CPU dater, game port diagnostic, XT "turbo" mode switcher, system rebooter, and an 8086/8088 processor speed booster (5-10% gain). 
http://ftp.mayn.de/pub/cpm/utilities/86vidutl.zip|VIDEO UTILITIES for CP/M-86 
http://ftp.mayn.de/pub/cpm/utilities/INDEX.txt| 
http://ftp.mayn.de/pub/cpm/utilities/c128.zip|Here is a collection of CP/M utilities for the COMODORE C128. These utilities will run on most any CP/M computer with CP/M 2.2 or CP/M 3.
http://ftp.mayn.de/pub/cpm/utilities/cpm86pat.zip|Here is some CP/M-86 support stuff, and includes the patch for CP/M-86 v1.1 to run on an AT class machine.
http://ftp.mayn.de/pub/cpm/utilities/disasm.zip|Here is a suite of disassemblers for CP/M 80. Supported processors are : 6502, 6803, 6809, 8048, and 8086. Both source and executables are included.
http://ftp.mayn.de/pub/cpm/utilities/fv28d.zip|FileView is a utility for CP/M-86. Source is included.
http://ftp.mayn.de/pub/cpm/utilities/fx86.zip|Here are several DRI utilities for transfering files to <==> from CP/M-86 and PC-DOS partitions.
http://ftp.mayn.de/pub/cpm/utilities/mac-b.zip| This is the MAC 8080 macro assembler. 
http://ftp.mayn.de/pub/cpm/utilities/mouser.zip|CP/M-86 demon program which uses direct hardware-level mouse access to implement a point-and-click user interface.
http://ftp.mayn.de/pub/cpm/utilities/necvcpm.zip|Source code for the CPM-80 emulator. Executes CPM-80 under CPM-86 on the NEC V20/V30 range of processors. 
